Download it now!
Bug 64797 - FILEOPEN: Incorrect displaying attached VSD document
Summary: FILEOPEN: Incorrect displaying attached VSD document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other All
: medium normal
Assignee: Fridrich Strba
URL:
Whiteboard: target:4.2.0 target:4.1.0.0.beta2 tar...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-05-20 20:36 UTC by mikhail.v.gavrilov
Modified: 2013-06-06 03:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
problem file part1 (2.50 MB, application/octet-stream)
2013-05-20 20:40 UTC, mikhail.v.gavrilov
Details
problem file part2 (1.16 MB, application/octet-stream)
2013-05-20 20:40 UTC, mikhail.v.gavrilov
Details
screenshot right displaying in Visio (284.29 KB, image/png)
2013-06-01 11:14 UTC, mikhail.v.gavrilov
Details
screenshot Version: 4.1.0.0.beta1 (221.36 KB, image/png)
2013-06-05 02:17 UTC, mikhail.v.gavrilov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mikhail.v.gavrilov 2013-05-20 20:36:33 UTC
Incorrect displaying attached VSD document
Comment 1 mikhail.v.gavrilov 2013-05-20 20:40:34 UTC
Created attachment 79589 [details]
problem file part1
Comment 2 mikhail.v.gavrilov 2013-05-20 20:40:52 UTC
Created attachment 79590 [details]
problem file part2
Comment 3 Julien Nabet 2013-05-31 13:20:49 UTC
On pc Debian x86-64 with master sources updated today, I've got things weird too.
Just noticed this on console:
warn:legacy.tools:22031:1:svl/source/items/cenumitm.cxx:198: CntBoolItem::operator ==(): Bad type

Could you attach a screenshot of what it should like?
Comment 4 mikhail.v.gavrilov 2013-06-01 11:14:21 UTC
Created attachment 80130 [details]
screenshot right displaying in Visio
Comment 5 David Tardon 2013-06-03 09:47:13 UTC
dtardon->mikhail.v.gavrilov: The version field contains the lowest version where the bug has been reproduced by someone. If you want to say that it crashes in a later version too, just add a comment.
Comment 6 Julien Nabet 2013-06-04 20:24:40 UTC
mikhail.v.gavrilov: it's indeed very different from what I get with pc Debian x86-64 with master sources updated today.

Fridrich: one for you?
Comment 7 mikhail.v.gavrilov 2013-06-05 02:17:25 UTC
Created attachment 80317 [details]
screenshot Version: 4.1.0.0.beta1
Comment 8 mikhail.v.gavrilov 2013-06-05 02:17:56 UTC
Same in Version: 4.1.0.0.beta1
Comment 9 Commit Notification 2013-06-05 08:12:54 UTC
Fridrich Å trba committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b4ea9fdfc0c780bead46fde74a71078e542c493

Uploading libvisio-0.0.28 fixing fdo#64797 regression



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-06-05 08:20:57 UTC
Fridrich Å trba committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c44e55aac0dc0685c7bf3f313f4b3e6c65aaa6c6&h=libreoffice-4-1

Uploading libvisio-0.0.28 fixing fdo#64797 regression


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-06-05 09:48:26 UTC
Fridrich Å trba committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=875effcdc7cfe38f8d41aac31f8d603ac114be5a&h=libreoffice-4-0

Uploading libvisio-0.0.28 fixing fdo#64797 regression


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2013-06-05 12:47:22 UTC
Fridrich Å trba committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8d1eb57f7ddae3ab0d931b695c07d7483df5d43&h=libreoffice-4-0-4

Uploading libvisio-0.0.28 fixing fdo#64797 regression


It will be available already in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 mikhail.v.gavrilov 2013-06-06 03:33:48 UTC
Thanks, this issue are fixed with update. But what about performance? My example file very work slow when I try scroll or zoom scheme on Core i3. :(